#version 130

precision mediump float;

uniform vec3 light_position;
uniform vec4 light_color;
uniform vec4 ambient_color;
uniform sampler2D texture0;
uniform sampler2D shadowMap;

in vec4 frag_color;
in vec4 shadowCoord;
in vec2 texCoord0;
in vec3 world_normal;
in vec4 world_position;

out vec4 fragColor;

void main()
{	
	vec3 normal = normalize(world_normal);

	vec3 position = world_position.xyz/world_position.w;
    
	vec3 light_dir = normalize(light_position - position);

	vec4 ambient = ambient_color * frag_color;

	vec4 diffuse = frag_color * light_color * max(0.0, dot(normal, light_dir));
    
	fragColor = (ambient + diffuse);

	fragColor = fragColor * texture(texture0, texCoord0.st);
}
